ogma-core-1.14.0: Ogma: Helper tool to interoperate between Copilot and other languages.

Safe Haskell | None
Language | Haskell2010

Language.Trans.CStruct2CopilotStruct

Contents

- Constructors
- Convert C type names to valid Copilot names

Description

Copilot's struct representation of C Structs and creation from C's AST.

Synopsis

- mkCStruct :: ExternalDeclaration -> Either String CStruct
- camelCaseTypeName :: String -> String

# Constructors

mkCStruct :: ExternalDeclaration -> Either String CStruct Source #

Convert a top-level struct declaration into a CStruct

# Convert C type names to valid Copilot names

camelCaseTypeName :: String -> String Source #

Convert a `String` to camel case, also eliminating the `_t` at the end if present.